[arch-commits] Commit in librsvg/repos (4 files)
Jan Steffens
heftig at archlinux.org
Wed Oct 4 20:01:38 UTC 2017
Date: Wednesday, October 4, 2017 @ 20:01:38
Author: heftig
Revision: 306750
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
librsvg/repos/testing-i686/
librsvg/repos/testing-i686/PKGBUILD
(from rev 306749, librsvg/trunk/PKGBUILD)
librsvg/repos/testing-x86_64/
librsvg/repos/testing-x86_64/PKGBUILD
(from rev 306749, librsvg/trunk/PKGBUILD)
-------------------------+
testing-i686/PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
Copied: librsvg/repos/testing-i686/PKGBUILD (from rev 306749, librsvg/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2017-10-04 20:01:38 UTC (rev 306750)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=librsvg
+pkgver=2.40.19
+pkgrel=1
+epoch=2
+pkgdesc="SVG rendering library"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango libcroco)
+makedepends=(intltool gobject-introspection vala python2 gtk-doc git)
+_commit=0359a8825e0db9c91d0335b0394f3ef70771d48f # tags/2.40.19^0
+source=("git+https://git.gnome.org/browse/librsvg#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+ ./configure --prefix=/usr --disable-static --enable-vala --enable-gtk-doc
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ # Reftests fail due to differences in text rendering
+ # Even with the fixated font on master there are still differences on i686
+ make check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
Copied: librsvg/repos/testing-x86_64/PKGBUILD (from rev 306749, librsvg/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2017-10-04 20:01:38 UTC (rev 306750)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=librsvg
+pkgver=2.40.19
+pkgrel=1
+epoch=2
+pkgdesc="SVG rendering library"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango libcroco)
+makedepends=(intltool gobject-introspection vala python2 gtk-doc git)
+_commit=0359a8825e0db9c91d0335b0394f3ef70771d48f # tags/2.40.19^0
+source=("git+https://git.gnome.org/browse/librsvg#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+ ./configure --prefix=/usr --disable-static --enable-vala --enable-gtk-doc
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ # Reftests fail due to differences in text rendering
+ # Even with the fixated font on master there are still differences on i686
+ make check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list